TreoCore installation not working

I have installed TreoCore but when accessing the webpage nothing appears except the logo:

There is not an installation wizard as suggested in the installation guide. The only error I can see in the console is this:

jquery-2.1.4.min.js:4 GET http://my-server/treocore/api/v1/Installer/getTranslations 404 (Not Found)

The api folder referenced does not exist in the treocore project directory.

I have followed this installation guide for TreoCore:

I have also configured the server as described here:

Any suggestions?

Thanks,
Steven

Hi Steven,
The problem might be caused by incorrect settings of permissions to project files (permissions to the files are set for one user, and server works from another user). Please, check your settings.
If the problem will still remain, please, check logs of the project data/logs and also PHP logs.

The permissions are set correctly as per the installation guide:

image

Here are the permissions for the top-level files and folders, I’ve checked everything below these and they all have the same:

image

I’ve made some changes as suggested in another post here:

I’m still getting the same result on the page, but the errors shown in the console are different:

Thanks,
Steven

Hi Steven,
We analyzed the given data, most probably there is a problem with wrong installation of the server, that is why the requests are not processed.

Hi,

I’ve now installed TreoCore and it seems to be working, but I am having trouble installing TreoPIM.

I’ve configured the server as described here:

I’ve installed TreoPIM following the guide here:

When I try to access it after installing TreoPIM I get the error “Bad server response”, and nothing else:
image

Two of the directories mentioned in the installation guide do not exist:
/client/custom
/application

The installation guide also does not specify where to install TreoPIM, so I have installed it within the TreoCore directory - is this correct?

Thanks,
Steven

Edit: It’s working now, not sure why or how though!

Hi steven,
What version of TreoCore did you install?
You can also install TreoPIM via Modules Manager in Administration: https://screen.treotest.com/i.rybachok/2019-08-23_14-37-00.jpg

Hi,

It’s working now, although I’m not sure what I did to get it working. I didn’t select a specific version of TreoCore as that isn’t mentioned in the installation guide - it just says to install treolabs/skeleton. I also found that I avoided errors by not specifying a version for TreoPIM either - I just ran the Composer statement without a version:

composer require treo-module/pim

1 Like